#!/bin/sh

set -e

if [ "$1" = "configure" ]; then
    if ! getent passwd _lacme-www >/dev/null; then
	    adduser --force-badname --system \
            --home /nonexistent --no-create-home \
            --gecos "lacme www user" \
            --quiet _lacme-www || true
    fi
    if ! getent passwd _lacme-client >/dev/null; then
	    adduser --force-badname --system \
            --home /nonexistent --no-create-home \
            --gecos "lacme client user" \
            --quiet _lacme-client || true
    fi
fi

#DEBHELPER#
exit 0
